Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1065054 (virt-sandbox-runner) - Review Request: virt-sandbox-runner - Qt wrapper for virt-sandbox utility
Summary: Review Request: virt-sandbox-runner - Qt wrapper for virt-sandbox utility
Keywords:
Status: CLOSED EOL
Alias: virt-sandbox-runner
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: qt-reviews
TreeView+ depends on / blocked
 
Reported: 2014-02-13 19:15 UTC by Fl@sh
Modified: 2015-10-11 11:31 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-10-11 11:31:49 UTC


Attachments (Terms of Use)

Description Fl@sh 2014-02-13 19:15:31 UTC
Spec URL: http://f1ash.fedorapeople.org/virt-sandbox-runner/testing/virt-sandbox-runner.spec

SRPM URL: http://f1ash.fedorapeople.org/virt-sandbox-runner/testing/virt-sandbox-runner-1.0.0-1.fc20.R.src.rpm

Description:
Qt wrapper for virt-sandbox utility.
This application runs and controls the configured jobs,
running in a virt-sandbox. Job settings are saved
in the application's configuration.
This application has Virtual Network Control.

Fedora Account System Username: f1ash

Additional info:
Build: http://koji.fedoraproject.org/koji/taskinfo?taskID=6527083

Comment 1 Cole Robinson 2014-02-26 17:29:55 UTC
Does this need to be a new top level package? It shares a lot of data with your se-sandbox-runner and looks/functions exactly the same, why not just combine them?

Also, I question whether it's a good idea to build a graphical tool around a command line (virt-sandbox), which in itself is a very thin wrapper around an API that you could just use directly instead.

Comment 2 Fl@sh 2014-02-26 18:54:11 UTC
(In reply to Cole Robinson from comment #1)
> Does this need to be a new top level package? It shares a lot of data with
> your se-sandbox-runner and looks/functions exactly the same, why not just
> combine them?
> 
You must understand that these are different types of sandbox. See for: "Background motivation & prototype" (https://www.berrange.com/tags/libvirt-sandbox/).
And although their appearance is similar (but not all), but they are made around the different packages are not related to each other. This forces have different applications (which have a similar set of icons).

> Also, I question whether it's a good idea to build a graphical tool around a
> command line (virt-sandbox), which in itself is a very thin wrapper around
> an API that you could just use directly instead.

Basically, a graphic interface is designed for ease of setup and storage arguments permanent tasks.
This implementation of the sandbox (without API) allows you to run applications in the graphic display terminal and work with them interactively.

Comment 3 Rex Dieter 2015-08-08 16:58:27 UTC
Resetting reviewer, no response for several months


Note You need to log in before you can comment on or make changes to this bug.